## gate.util
Class Scratch.SessionState

    java.lang.Object
      |
      +--gate.util.Scratch.SessionState

All Implemented Interfaces:
  Serializable

Enclosing class:
  Scratch

class Scratch.SessionState
extends Object
implements Serializable

Inner class for holding CR and DSR for serialisation experiments

See Also:
  Serialized Form

Field Summary
`(package private) CreoleRegister` `cr`
`(package private) DataStoreRegister` `dsr`

Constructor Summary
`(package private)` `Scratch.SessionState()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### cr

    CreoleRegister cr

### dsr

    DataStoreRegister dsr

Constructor Detail

### Scratch.SessionState

    Scratch.SessionState()